
/*
	File:		DebugTrace.h

	Contains:	Debug helper interface.

	Developed by:	
		
		Paul G Smith (commstalk hq & Full Moon Software, Inc)
		
		you can leave messages at (UK): 0727 844232; (US): 408 253 7199
		BUT I prefer to be contacted by e-mail
		AppleLink: 	SMITH.PG
		Internet: 	SMITH.PG@applelink.apple.com
		
		"SimpliFace" Sample code to accompany develop article
		on techniques for embedding scripts in applications.


	To link the output of this file you need also to link with
	file "DebugTranscript.lib".

*/



extern "C" {	// debug utility functions
	pascal void InstallWriteLnHook();
	pascal void SetDebugLevel(short);
}

void SuspendDebug(void);
void ResumeDebug(void);
void ForceDebug(void);
void EndForceDebug(void);

