/*
	File:		SimpliFaceCommon.h

	Contains:	Common C++ and Rez include file for SimpliFace.

	Developed by:	
		
		Paul G Smith (commstalk hq & Full Moon Software, Inc)
		
		you can leave messages at (UK): 0727 844232; (US): 408 253 7199
		BUT I prefer to be contacted by e-mail
		AppleLink: 	SMITH.PG
		Internet: 	SMITH.PG@applelink.apple.com
		
		"SimpliFace" Sample code to accompany develop article
		on techniques for embedding scripts in applications.

*/

#ifndef __SimpliFaceCOMMON__
#define __SimpliFaceCOMMON__


#define kSignature	'SIMF'

#define kProgName	"SimpliFace"
#define kVersion	"1.0b3"

#define kVersMajor	1
#define kVersMinor	3
#define kVersKind	beta
#define kVersRev	0

#define kProgNameP	"\pSimpliFace"
#define kVersionP	"\p1.0b3"


#include "SimpliFaceEvents.h"


#define kSimpliFaceBuzzwords 1001		/* misc strings */
#define kAppDefaultFileName 1				/* index into misc strings */
#define kPreferencesFileName 2
#define kStartupScriptFileName 3

#define kSimpliFaceErrStrings 258		/* error strings */
#define kWindowStackerLibraryMissing 1	/* index into error strings */

#define	rMenuBar		128			/* application's menu bar */
#define	rAboutAlert		128			/* about alert */
#define	rDocWindow		128			/* application's window */
#define	rFolderDialog	130			/* dialog for choosing a folder */


#define	mApple					128		/* Apple menu */
#define	iAbout					1

#define	mFile					129		/* File menu */
#define	iClose					1
#define	iQuit					2

#define	mEdit					130		/* Edit menu */
#define	iUndo					1
#define	iCut					3
#define	iCopy					4
#define	iPaste					5
#define	iClear					6


#define kTypeListOfLongs					'LNG#'


#endif
